#version 330 core

uniform sampler2D diffuse;

in vec3 normal;
in vec2 uv;

layout (location = 0) out vec4 frag_color;

void main()
{
	vec4 color = texture(diffuse, uv);
	if ( color.a < 0.05 ) discard;

	frag_color = color*color.a;//*1.5;
}
